import FormData = require('formdata');
import { ContactApi } from './contact';
import { TemplateApi } from './template';
import { LetterApi } from './letter';
import { PostcardApi } from './postcard';
import { BankAccountApi } from './bank-account';
import { CheckApi } from './check';
import { WebhookApi } from './webhook';
export interface PostGridOptions {
    host?: string;
    apiKey?: string;
    webhookUrl?: string;
    webhookSecret?: string;
    webhookEvents?: string[];
}
export interface PostGridError {
    type: string;
    message: string;
}
export declare class PostGrid {
    host: string;
    apiKey: string;
    webhookUrl?: string;
    webhookSecret?: string;
    webhookEvents?: string[];
    contact: ContactApi;
    template: TemplateApi;
    letter: LetterApi;
    postcard: PostcardApi;
    bankAccount: BankAccountApi;
    check: CheckApi;
    webhook: WebhookApi;
    constructor(apiKey: string, options?: PostGridOptions);
    fire(method: string, uri: string, query?: {
        [index: string]: number | string;
    }, body?: object | object[] | FormData): Promise<{
        response: any;
        payload?: any;
    }>;
}
export declare function mkError(message: string): PostGridError;
